gutsy/amd64: ftbfs / autopkgtest failure

Bug #128222 reported by Ian Jackson on 2007-07-25
10
Affects Status Importance Assigned to Milestone
scim-tables (Ubuntu)
High
Ian Jackson

Bug Description

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 affects /ubuntu/scim-tables

An instance of autopkgtest (an automatic package testing system) has
found that this package either failed to build from source - or that
it declared some tests in its debian/tests/control and that at least
one of these tests failed.

A human has briefly looked at the transcript and concluded that the
fault is a bug in the package or one of its build-dependencies.

The test environment is an amd64 Xen guest with limited amounts of
memory. The relevant dependencies are installed for each test but
very few other packages.

The top and bottom of the mail sent by the autopkgtest instance to its
administrator is included below. The full log can be found at
 http://autopkgtest.ubuntu.com/autopkgtest-output/gutsy/scim-tables/

| Test executed for: gutsy source scim-tables
| Outcome: erroneous package!
| blame: arg:tmp/scim-tables/src/scim-tables_0.5.7-1.dsc dsc:scim-tables
| badpkg: rules build failed with exit code 2
| quitting: erroneous package: rules build failed with exit code 2
|
| erroneous package!
...
| /dev/mem: mmap: Bad address
| /dev/mem: mmap: Bad address
| /dev/mem: mmap: Bad address
| /dev/mem: mmap: Bad address
| /dev/mem: mmap: Bad address
| /dev/mem: mmap: Bad address
| Moving old data out of the way
| /dev/mem: mmap: Bad address
| Updating font configuration of fontconfig...
| Cleaning up category cid..
| Cleaning up category truetype..
| Cleaning up category type1..
| Updating category type1..
| Updating category truetype..
| Updating category cid..
| I: Purging /etc/pango/pango.modules
| Cleaning up font configuration of pango...
| Updating font configuration of pango...
| Cleaning up category xfont..
| Updating category xfont..
| adt-run: trace: $ dsc0-build: sh -ec <SCRIPT> x /root/adt-downtmp/dsc0-build/tmpdir /root/adt-downtmp/dsc0-build/scim-tables-0.5.7
| + TMPDIR=/root/adt-downtmp/dsc0-build/tmpdir
| + rm -rf -- /root/adt-downtmp/dsc0-build/tmpdir
| + export TMPDIR
| + su adtxenu -c mkdir -- "$TMPDIR"
| + cd /root/adt-downtmp/dsc0-build/scim-tables-0.5.7
| + dpkg-checkbuilddeps
| + su adtxenu -c debian/rules build
| dh_testdir
| dpatch apply-all
| applying patch 90_disable-skim to ./ ... ok.
| # put information about applied patches in the stamp file
| dpatch cat-all -nd >patch-stamp
| dh_testdir
| # link config.{guess,sub} from autotools-dev package
| ln -s /usr/share/misc/config.guess config.guess
| ln: creating symbolic link `config.guess' to `/usr/share/misc/config.guess': File exists
| make: *** [configure-stamp] Error 1
| blame: arg:tmp/scim-tables/src/scim-tables_0.5.7-1.dsc dsc:scim-tables
| badpkg: rules build failed with exit code 2
| adt-run: erroneous package: rules build failed with exit code 2
| adt-run: trace: ** stop
| adt-run: trace: ** close, scratch=tb-scratch~/root/adt-downtmp:-/|/root/adt-downtmp/!
| ++++++ RESULTS erroneous package! ++++++
| ++++++ bundling ++++++
| ++++++ uploading ++++++
| ++++++ contacting maintainer_email_override ++++++
| ++++++ tested. ++++++
|
|
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFGpyR805QTisYqw/QRAoEoAJ9dRIXc8yHXpiXRiFBuKdrLU8C2uwCfYafQ
imWGAkowRom9KSRmfjqvcOc=
=JFCn
-----END PGP SIGNATURE-----

Ming Hua (minghua) wrote :

This FTBFS is due to autopkgtest running "debian/rules build" without running "debian/rules clean" first.

The clean target removes config.{guess,sub} file, then in conig.status target the ln command assumes these files are not there. This can be easily fixed by using "-f" option for ln, but since all buildd runs "debian/rules clean" before building, and policy explicitly says build target may need clean target to be run first, shouldn't autopkgtest be less restrictive on this?

Ming Hua writes ("[Bug 128222] Re: gutsy/amd64: ftbfs / autopkgtest failure"):
> This FTBFS is due to autopkgtest running "debian/rules build" without
> running "debian/rules clean" first.

I see. Well, running rules clean first is not required.

> The clean target removes config.{guess,sub} file, then in conig.status
> target the ln command assumes these files are not there. This can be
> easily fixed by using "-f" option for ln, but since all buildd runs
> "debian/rules clean" before building, and policy explicitly says build
> target may need clean target to be run first, shouldn't autopkgtest be
> less restrictive on this?

No, policy says

  The build target may need to run the clean target first - see below.

that is, if build doesn't work without clean being run first, then
build must depend on clean so that it is run first automatically.

Ian.

Ming Hua (minghua) on 2007-09-22
Changed in scim-tables:
assignee: nobody → minghua
importance: Undecided → High
status: New → In Progress
Ming Hua (minghua) wrote :

The attached debdiff should fix this bug. I've tested using "dpkg-source -x [...]; cd [...]; debian/rules build; fakeroot debian/rules binary", which should be similar to what autopkgtest did. I also tested installing all the built packages using debi, but I didn't test running them (since I was testing in a pbuilder chroot login). And also for good measure, the package is built with pbuilder as well.

Please sponsor this upload, thanks.

Changed in scim-tables:
assignee: minghua → nobody
status: In Progress → Triaged
Daniel Holbach (dholbach) wrote :

Ian: can you please check this patch?

Changed in scim-tables:
assignee: nobody → ijackson
Ming Hua (minghua) wrote :

scim-tables (0.5.7-1ubuntu2) gutsy; urgency=low

  * Use "ln -sf" instead of "ln -s" in the build target of debian/rules, so
    that we don't rely on clean target being run before building. This fixes
    the build failure reported by autopkgtest. (LP: #128222)

 -- Ming Hua <email address hidden> Sat, 22 Sep 2007 04:36:53 -0500

Changed in scim-tables:
status: Triaged → Fix Released
Ian Jackson (ijackson) wrote :

Ming Hua writes ("[Bug 128222] Re: gutsy/amd64: ftbfs / autopkgtest failure"):
> scim-tables (0.5.7-1ubuntu2) gutsy; urgency=low
>
> * Use "ln -sf" instead of "ln -s" in the build target of debian/rules, so
> that we don't rely on clean target being run before building. This fixes
> the build failure reported by autopkgtest. (LP: #128222)
>
> -- Ming Hua <email address hidden> Sat, 22 Sep 2007 04:36:53 -0500

Thanks to Ming Hua for the patch.

Ming, as you're also the Debian maintainer I take it we don't need to
pass the patch upstream to bugs.debian.org ?

Ian.

Ming Hua (minghua) wrote :

On Fri, Sep 28, 2007 at 11:29:28AM -0000, Ian Jackson wrote:
>
> Thanks to Ming Hua for the patch.

Ian, thank you for sponsoring.

> Ming, as you're also the Debian maintainer I take it we don't need to
> pass the patch upstream to bugs.debian.org ?

Correct, no need to pass this one to Debian BTS. Actually Debian's
package has fixed this bug in version 0.5.7-2, even before it's reported
in LP. (It's a side effect of some tweaks in debian/rules.)

Ubuntu most likely won't want 0.5.7-2 though, as the only user-visible
change is a Dutch translation update.

Ming
2007.09.29

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers